当前位置:首页 > 开发 > 编程语言 > 编程 > 正文

Error forwarding the new session cannot find : Capabilities [{browserName=htmlun

发表于: 2015-06-12   作者:Chinaperson   来源:转载   浏览:
摘要: 代码: driver = webdriver.Remote(                            &

代码:

driver = webdriver.Remote(
                                          command_executor=' http://127.0.0.1:4444/wd/hub',
                                          desired_capabilities={'platform': 'ANY',
                                          'browserName': 'htmlunit',
                                          'version': '',
                                          'javascriptEnabled': True
                                         })

运行的时候报:selenium.common.exceptions.WebDriverException: Message:

Error forwarding the new session cannot find : Capabilities [{browserName=htmlunit, javascriptEnabled=true, version=, platform=ANY}]

当时有点迷惑,我把 'browserName': ''的value换成chrome.firefox,IE都没有问题,就这个htmlunit报错,查资料发现这个在启动selenium-server node的时候要指定一下

java -jar selenium-server-standalone-2.44.0.jar -role node -hub http://IP:4444/grid/register  -browser   browserName=htmlunit   
 

 

Error forwarding the new session cannot find : Capabilities [{browserName=htmlun

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
Cannot find module 问题在测试WebRTC codelab的时候,运行codelab\complete\step1出错,抛出Error
想用vs2010+opencv2.4.4做一下grabcut实验,结果出现下面的错误:Cannot find or open the PDB file
============================================================ 博文原创,转载请声明出处 电子咖
我机子上没有libz2库。 安装 root@ubuntu:/lib# apt-get install libbz2-dev Reading package lists
编译mpi io test的时候出现cannot find -lmpi提示,这是说明没有安装特定的包 参考 解决/usr/bin/ld
最近在Ubuntu9.10上使用交叉编译器arm-linux-gcc-4.4.1 移植Qtopia2.2.0到S3c6410平台,使用常规配
websphere8.5容器部署dwr应用。 dwr 弹出的session error 问题,后台提示:A request has been deni
org.springframework.beans.factory.CannotLoadBeanClassException: Cannot find class [org.apache
错误提示如下: 1、原因: Type中已定义,但并未写相应过程。 Other Reason:Such sometimes happen
在启动Spring时,报以下错误,如图: 原因是在xml中spring的xsd的版本配置的不一致,我使用的是spri
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号